%% 9:52 PM Tuesday, July 4, 2023
%% Yukio Yoshida
%% \pageBreak is at 13-bars on MezzoSoprano
\version "2.24.0"
#(set-default-paper-size "letter")
#(set-global-staff-size 18)
VoiceColorBlue = {
                   \override Staff.StaffSymbol.color = #blue
                   \override Staff.LedgerLineSpanner.color = #blue
                   \override Staff.Clef.color = #blue
                   \override Staff.TimeSignature.color = #blue
                   \override Staff.KeySignature.color = #blue
                   \override Staff.BarLine.color = #blue
                   \override Voice.NoteHead.color = #blue
                   \override Voice.Rest.color = #blue
                   \override Voice.Stem.color = #blue
                   \override Voice.Flag.color = #blue
                   \override Voice.Beam.color = #blue
                   \override Voice.Slur.color = #blue
                   \override Voice.PhrasingSlur.color = #blue
                   \override Voice.Tie.color = #blue
                   \override Voice.Dots.color = #blue
                   \override Voice.Script.color = #blue
                   \override Voice.TupletNumber.color = #blue
                   \override Voice.TupletBracket.color = #blue
                   \override Voice.BreathingSign.color = #blue
}
VoiceColorBlueRevert = {
                   \revert Voice.NoteHead.color
                   \revert Voice.Rest.color
                   \revert Voice.Stem.color
                   \revert Voice.Flag.color
                   \revert Voice.Beam.color
                   \revert Voice.Slur.color
                   \revert Voice.PhrasingSlur.color
                   \revert Voice.Tie.color
                   \revert Voice.Dots.color
                   \revert Voice.Script.color
                   \revert Voice.TupletNumber.color
                   \revert Voice.TupletBracket.color
                   \revert Voice.BreathingSign.color
}

BlueRest = { \override Voice.Rest.color = #blue
             \override Voice.Dots.color = #blue }
BlueOff = { \revert Voice.Rest.color
            \revert Voice.Dots.color }

AddChorus = {
                   \override Staff.StaffSymbol.color = #red
                   \override Staff.LedgerLineSpanner.color = #red
                   \override Staff.Clef.color = #red
                   \override Staff.TimeSignature.color = #red
                   \override Staff.KeySignature.color = #red
                   \override Staff.BarLine.color = #red
                   \override Voice.NoteHead.color = #blue
                   \override Voice.Rest.color = #blue
                   \override Voice.Stem.color = #blue
                   \override Voice.Flag.color = #blue
                   \override Voice.Beam.color = #blue
                   \override Voice.Slur.color = #blue
                   \override Voice.PhrasingSlur.color = #blue
                   \override Voice.Tie.color = #blue
                   \override Voice.Dots.color = #blue
                   \override Voice.Script.color = #blue
                   \override Voice.TupletNumber.color = #red
                   \override Voice.TupletBracket.color = #red
                   \override Voice.BreathingSign.color = #red
}

\paper {
        %% ragged-last-bottom = ##f
}

\header {
 dedication = \markup { "The Story of A Lady" }
 title = \markup{ \line { \huge "Lights light the grave!"} }
 subtitle = \markup{ \center-column {
                           \with-color #blue \italic "cis major; cis dis eis fis gis ais bis"
                           \raise #4 \italic "( g major; c d e fis g a b )" } }
%% subsubtitle = #(string-append "LilyPond version " (lilypond-version))
 subsubtitle = \markup{\center-column { " "
                   \with-color #blue \italic "mezzosoprano; C clef on 2nd line,"
                   "soprano; C clef on 1st line,       alto; C clef on 3rd line."
                   "       bass; F clef on 4th line,    tenor; C clef on 4th line."}}
 composer = \markup{ \line {\italic "Yukio Yoshida"}}
 arranger = "Jan 01, 2014"
 poet = \markup { \line { \teeny \italic
{ \hspace #4 \bold "Lights light the grave!" }
   \hspace #-18 \teeny \italic \column {
" "
"Anymore! Anymore! Anymore!"
"Not the light on to me!"
"This is what! This is what!"
"It's this darkness where I am!" }
   \hspace #8 \teeny \italic \column {
" "
"Come on, now"
"Time to die myself"
"And never, ever, never!"
"Lit lights are not..." }
 } }
 opus = "Op.79"
 meter = " "
 copyright = "public Domain"
%%  tagline = "  "
}

%%%%%%%%% mezzosoprano part %%%%%%%%%%%%%%%%%%%%%
mezzosoprano = {
    \autoBeamOff
   \partial 2 r2 |
%% 1-4
   fis'2 ais'2 r2 | bis'2 gis'2. r4 | \noBreak ais'2 fis'2.. r8 | \noBreak
   r8 fis'4. cis''4( dis''2) r16 dis''8. ~ | \break
%% 5-8
   dis''8. cis''4.. cis'2.. ~ | cis'2.. r8 r2 | r1. | r1. | \break
%% 9-12
   r1. | r1. | \noBreak r1. |
   r2 dis''4^\markup { \bold \teeny \with-color #blue \italic "pp            ppp"}\melisma
   cis''4 bis'\melismaEnd r8 dis'8^\markup { \with-color #blue \italic "fz" } | \break
\pageBreak
%% 13-16
   r16 gis'4.. r4 ais'8\(^\markup { \with-color #blue \italic "fz" } fis'16\) dis'2 r16 |
   cis'4 bis8 bis4. ais2 r4 | \noBreak r4 dis'4 cis'8 cis'4. bis2 |
   r8 ais4. eis'2 bis'2( | \break
%% 17-20
   cis''2) r1 | bis4 ais8 cis'4. r4 ais2 | bis8 ais2 r8 bis4( cis'8 eis'8 fis' gis' ~ |
   gis') ais'2( bis'8 cis''2.) | \break
%% 21-24
   r2 fis'8 eis'4.\( ais'\) r8 | r1. | \noBreak ais1. | r2 eis'2\( bis'2\) | \break
%% 25-28
   r1 fis'2 | bis'1 \times 2/3 {cis''4( bis' ais')} |
   r8 gis'4.( \tupletDown \times 2/3 {eis'4 dis' cis'} bis2 | ais1.) | \break
%% 29-32
   r2 cis'2 dis' | r8 dis'4 eis'( fis' gis' ais'4.) | bis'4. r8 cis''1( |
   dis''4 eis'' fis''1) | \break
%% 33-34
%% Here play part---Only MezzoSoprano instruments(with One or Two, If you can, On Violin).---
   \VoiceColorBlueRevert { \set Staff.fontSize = #-4
   fis'1.^\markup { \teeny \italic "Only Instrument(If you can, on Violin or something)" } |
   \time 4/1 cis''\longa } \bar "|." \break
}%% end mezzospprano sheet

mezzosopranoL = \lyricmode {
    \override Lyrics.LyricText.color = #blue
    \override Lyrics.LyricHyphen.color = #blue
    \override Lyrics.LyricExtender.color = #blue
    \override Score.LyricText.font-shape = #'italic
    \tiny
Any -- more! Any -- more! Any -- more!
%% Not on the light I
%% I can't compartment lights.
"Not the" light on to me!
ə __
This's what! This is what!
"It's" this dark -- ness,
"It's" this dark -- ness where I am!
Come on, now
Time to die my -- self
And nev -- er, ever, nev -- er!
Lit lights are not __
Nev -- er! Lit lights are not __
}

mezzosopranoM = {
    \autoBeamOff
   \partial 2 r2 |
%% 1-4
   fis'2 ais'2 r2 | bis'2 gis'2. r4 | ais'2 fis'2.. r8 |
   r8 fis'4. cis''4( dis''2) r16 dis''8. ~ | \break
%% 5-8
   dis''8. cis''4.. cis'2.. | cis'2.. r8 r2 | r1. | r1. | \break
%% 9-12
   r1. | r1. | r1. | r2 dis''4^\pp\melisma cis''4 bis'^\ppp\melismaEnd r8 dis'8\fz | \break
%% 13-16
   r16 gis'4.. r4 ais'8\fz\( fis'16\) dis'2 r16 |
   cis'4 bis8 bis4. ais2 r4 | r4 dis'4 cis'8 cis'4. bis2 | r8 ais4. eis'2 bis'2( | \break
%% 17-20
   cis''2) r1 | bis4 ais8 cis'4. r4 ais2 | bis8 ais2 r8 bis4( cis'8 eis'8 fis' gis' ~ |
   gis') ais'2( bis'8 cis''2.) | \break
%% 21-24
   r2 fis'8 eis'4.\( ais'\) r8 | r1. | ais1. | r2 eis'2\( bis'2\) | \break
%% 25-28
   r1 fis'2 | bis'1 \times 2/3 {cis''4( bis' ais')} |
   r8 gis'4.( \tupletDown \times 2/3 {eis'4 dis' cis'} bis2 | ais1.) | \break
%% 29-32
   r2 cis'2 dis' | r8 dis'4 eis'( fis' gis' ais'4.) | bis'4. r8 cis''1( |
   dis''4 eis'' fis''1) | \break
%% 33-34
%% Here play part---Only MezzoSoprano instruments(with One or Two, If you can, On Violin).---
   fis'1. | \time 4/1 cis''\longa \bar "|." \break
}%% end mezzosoprano-midi

%%%%%%%%% soprano part %%%%%%%%%%%%%%%%%%%%%
soprano = {
    \autoBeamOff
   \partial 2 c'2 ~ |
%% 1-4
   c'2\> d' g'_\(  | fis'\)\! r1 | r1. | r1. | \break
%% 5-8
   r1. | fis'4 g'8 a' b' r8 e'4 fis'8[ g' a'] r8 | \noBreak
   r8 e''4-. c''4.-. a'-. g'8-.[ fis'-. e'-.] | d'2. c' ~ | \break
%% 9-12
   <c' e' g'>2 <d' fis' a'> <e' g' b'>2 ~ | <b' g' e'> <fis' d'> <e' c'> ~ |
   c'1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   r1. | c''2. c''? | e'1.^\>^\markup { \teeny \dynamic { pp } } |
   c'2. fis'2. * 3/4 s2. * 1/4\!^\markup { \teeny \dynamic { pppp } } | \break
%% 25-28
   r1. | r1. | r1. | r1. | \break
%% 29-32
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 fis'1 | \time 4/1 c''\breve fis''\breve \bar "|."
}%% end soprano sheet

sopranoM = {
    \autoBeamOff
   \partial 2 c'2 ~ |
%% 1-4
   <c' fis'>2\pp <d' g'> ~ g'\( | fis'\)\pppp r1 | r1. | r1. | \break
%% 5-8
   r1. | fis'4\p g'8 a' b' r8 e'4 fis'8[ g' a'] r8 | \noBreak
   r8 e''4-. c''4.-. a'-. g'8-.[ fis'-. e'-.] | d'2. c' | \break
%% 9-12
   <c' e' g'>2 <d' fis' a'> <e' g' b'>2 ~ | <b' g' e'> <fis' d'> <e' c'> ~ |
   c'1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   r1. | c''2. c''? | e'1.\pp\> | c'2. fis'\pppp\! | \break
%% 25-28
   r1. | r1. | r1. | r1. | \break
%% 29-33
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 fis'1 | \time 4/1 c''\breve fis''\breve \bar "|."
}%% end soprano-midi

%%%%%%%%%% alto part %%%%%%%%%%%%%%%%%%%%%%
alto = {
     \autoBeamOff
   \partial 2 g2 ~ |
%% 1-4
   g2_\> a d'_\( | c'\)\! r1 | r1. | r1. | \break
%% 5-8
   r1. | c'4.-. d'-. e'-. fis'8-.[ g'-. a'-.] |
   r8 a'8[ g' fis'] e'4 r8 g'8 fis' e' d'4 | fis1. | \break
%% 9-12
   <fis a c'>4. <g b d'> <a c' e'> <b d' fis'> ~ | <fis' d' b> <e' c' a> <b g> <a fis> ~ |
   fis1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   r1. | fis'2. f'? | a1.^\>^\markup { \teeny \dynamic { pp } } |
   fis2. b2. * 3/4 s2. * 1/4\!^\markup { \teeny \dynamic { pppp } } | \break
%% 25-28
   r1. | r1. | r1. | r1. | \break
%% 29-32
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 b1 | \time 4/1 fis'\breve b'\breve \bar "|."
}%% end alto sheet

altoM = {
     \autoBeamOff
   \partial 2 g2 ~ |
%% 1-4
   <g c'>2\pp <a d'> ~ d'\( | c'\)\pppp r1 | r1. | r1. | \break
%% 5-8
   r1. | c'4.-.\p d'-. e'-. fis'8-.[ g'-. a'-.] |
   r8 a'8[ g' fis'] e'4 r8 g'8 fis' e' d'4 | fis1. | \break
%% 9-12
   <fis a c'>4. <g b d'> <a c' e'> <b d' fis'> ~ | <fis' d' b> <e' c' a> <b g> <a fis> ~ |
   fis1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   r1. | fis'2. f'? | a1.\pp\> | fis2. b2.\pppp\! | \break
%% 25-28
   r1. | r1. | r1. | r1. | \break
%% 29-32
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 b1 | \time 4/1 fis'\breve b'\breve \bar "|."
}%% end alto-midi

%%%%%%%% tenor part %%%%%%%%%%%%%%%%%%%%%%%
tenor = {
     \autoBeamOff
   \partial 2 d2 ~ |
%% 1-4
   d2\> e a_\( | g\)\! r1 | r1. | r1. | \break
%% 5-8
   r1. | g4 a8[ b] fis4 g8[ a] g4 a8[ b] | a4 b8[ c'] g4 a8[ b] fis4 g8[ a] | g2 d1 | \break
%% 9-12
   <d g>8[ <e a> <fis b>] c'4. <b fis>8[ <a e> <g d>] c4. ~ |
   <c fis>8-. <d g>-. <e a>-. <fis b>-. <g c'>-. e'4.-. <b fis>8 <a e> <g d> e |
   d1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   r1. | c'2. c'? | a2^\>^\markup { \teeny \dynamic { pp } } g fis ~ |
   fis g2 r2\!^\markup { \teeny \dynamic { pppp } }  | \break
%% 25-28
   r1. | r1. | r1. | r1. | \break
%% 29-32
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 e1 | \time 4/1 b\breve e'\breve \bar "|."
} %% end tenor sheet

tenorM = {
     \autoBeamOff
   \partial 2 d2 ~ |
%% 1-4
   d2\pp e a\( | g\)\pppp r1 | r1. | r1. | \break
%% 5-8
   r1. | g4\p a8[ b] fis4 g8[ a] g4 a8[ b] | a4 b8[ c'] g4 a8[ b] fis4 g8[ a] | g2 d1 | \break
%% 9-12
   <d g>8[ <e a> <fis b>] c'4. <b fis>8[ <a e> <g d>] c4. ~ |
   <c fis>8-. <d g>-. <e a>-. <fis b>-. <g c'>-. e4.-. <b fis>8 <a e> <g d> e |
   d1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   r1. | c'2. c'? | a2\pp\> g fis ~ | fis g2\ppp\! r2 | \break
%% 25-28
   r1. | r1. | r1. | r1. | \break
%% 29-32
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 e1 | \time 4/1 b\breve e'\breve \bar "|."
} %% end tenor midi

%%%%%%% bass; part %%%%%%%%%%%%%%%%
bass = {
   \autoBeamOff
   \partial 2 a,2 ~ |
%% 1-4
   a,2\> b, e_\( | d\)\! r1 | r1. | r1. | \break
%% 5-8
   d8-.^\< e-. fis-. e-. d-. c4 b,8-. c-. d-. e-. fis-.\! | e-. d4 c b, c4. d8-. e-. |
   fis4. e d c | b,4 a,2 g,2. | \break
%% 9-12
   <g, c>16[ <a, c> b,8] <a, d>16[ <b, d> c8] g,8-. a,-. b,-. c-. b,-. a,-. g,4 ~ |
   <g, c>4. <d fis> <e c>8[ <d b,> <c a,> <b, g,>] <c a,>16[ <d b,> <e c>8] | g,1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   c2^\>^\markup { \teeny \dynamic { pp } } b, a, | b, a, g, ~ |
   g,1. * 3/4 s1. * 1/4\!^\markup { \teeny \dynamic { pppp } } | r1. | \break
%% 25-28
   fis,16[ a, c8] e4. r8 e,16[ g, b,8] d4. r8 |
   c4. b, a,2. | b,4 c4. d2 r4. | c2 b,8[ a, g, fis,] e,2 | \break
%% 29-32
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 a,1 | \time 4/1 e\breve a\breve \bar "|."
} %%end bass-sheet

bassM = {
   \autoBeamOff
   \partial 2 a,2 ~ |
%% 1-4
   a,2\pp b, e\( | d\)\pppp r1 | r1. | r1. | \break
%% 5-8
   d8-.\pppp e-. fis-. e-. d-.\ppp c4 b,8-. c-. d-. e-. fis-.\p | e-. d4 c b, c4. d8-. e-. |
   fis4. e d c | b,4 a,2 g,2. | \break
%% 9-12
   <g, c>16[ <a, c> b,8] <a, d>16[ <b, d> c8] g,8-. a,-. b,-. c-. b,-. a,-. g,4 ~ |
   <g, c>4. <d fis> <e c>8[ <d b,> <c a,> <b, g,>] <c a,>16[ <d b,> <e c>8] | g,1. | r1. | \break
%% 13-16
   r1. | r1. | r1. | r1. | \break
%% 17-20
   r1. | r1. | r1. | r1. | \break
%% 21-24
   c2^\>^\pp b, a, | b, a, g, ~ | g,1.\!^\pppp | r1. | \break
%% 25-28
   fis,16[\mf a, c8] e4. r8 e,16[ g, b,8] d4. r8 |
   c4. b, a,2. | b,4 c4. d2 r4. | c2 b,8[ a, g, fis,] e,2 | \break
%% 29-32
   r1. | r1. | r1. | r1. | \break
%% 33-34
   r2 a,1 | \time 4/1 e\breve a\breve \bar "|."
}%% end bass-midi


%%%%%%%%%% sheet and midi music code part %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% get sheet music -------------------------------------------------
\score {
         <<
       \new Voice = "mezzosoprano" {
                              \clef mezzosoprano \key cis\major \time 3/2
                 \set Staff.instrumentName = \markup { \with-color #blue \italic \column {
                                                      " " "mezzo   " \raise #1 " soprano" } }
                                      \VoiceColorBlue {\mezzosoprano} }
       %% \new Lyrics = "mainSL" \lyricsto "mezzosopranoV" { \mezzosopranoL }
       \new Lyrics = "mainSL" \lyricsto "mezzosoprano" { \mezzosopranoL }

           \context ChoirStaff = "FourPartStaffaddchorus" <<
           \new Voice = "soprano" { \clef soprano \key g\major \time 3/2
                   \set Staff.fontSize = #-4
                   \override Staff.StaffSymbol.staff-space = #(magstep -4)
                   \override Staff.StaffSymbol.thickness = #(magstep -4)
                             \set Staff.instrumentName = "soprano" \soprano }
           %% \new Lyrics = "mainSL" \lyricsto "SopranoChours" { \sopranoL }

           \new Voice = "alto" { \clef alto \key g\major \time 3/2
                   \set Staff.fontSize = #-4
                   \override Staff.StaffSymbol.staff-space = #(magstep -4)
                   \override Staff.StaffSymbol.thickness = #(magstep -4)
                        \set Staff.instrumentName = "alto   " \alto }
           %% \new Lyrics = "mainSL" \lyricsto "AltoChours" { \altoL }

           \new Voice = "tenor" { \clef tenor \key g\major \time 3/2
                   \set Staff.fontSize = #-4
                   \override Staff.StaffSymbol.staff-space = #(magstep -4)
                   \override Staff.StaffSymbol.thickness = #(magstep -4)
                        \set Staff.instrumentName = "tenor  " \tenor }
           %% \new Lyrics = "mainTL" \lyricsto "TenorChours" { \tenorL }

           \new Voice = "bass" { \clef bass \key g\major \time 3/2
                   \set Staff.fontSize = #-4
                   \override Staff.StaffSymbol.staff-space = #(magstep -4)
                   \override Staff.StaffSymbol.thickness = #(magstep -4)
                        \set Staff.instrumentName = "bass   " \bass }
           %% \new Lyrics = "mainBL" \lyricsto "BassChours" { \bassL }
                                           >>

           %% \context PianoStaff = "PianoStaff" <<
           %% \new Voice = "piano" { \clef treble \key g\major \time 3/2
           %%              \set Staff.instrumentName = "piano  " \pianoUP }
           %% \new Voice = "piano" { \clef bass \key g\major \time 3/2
           %%              \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>

         >>

  \layout {
            \context { \Staff \RemoveEmptyStaves
                       %% \override VerticalAxisGroup.remove-first = ##t
                       %% It can get effect by using for instance "R1."
                       %% Don't using "r1."
                      }
           }
     %%%%%% Don't output Score-sheet %%%%%%%%%%%%%%%%%%%%%%%%
     %% \layout { \context { \Score skipTypesetting = ##t } }
}

%% get midi music --------------------------------------------------
\score {
         <<
           \new Staff { \clef mezzosoprano \key cis\major \time 3/2 \tempo 4 = 48
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \mezzosopranoM }

           \new Staff { \clef soprano \key g\major \time 3/2 \tempo 4 = 48
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \sopranoM }

           \new Staff { \clef alto \key g\major \time 3/2 \tempo 4 = 48
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \altoM }

           \new Staff { \clef tenor \key g\major \time 3/2 \tempo 4 = 48
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \tenorM }

           \new Staff { \clef bass \key g\major \time 3/2 \tempo 4 = 48
                        \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \bassM }

           %%\new Staff { \clef treble \key g\major \time 3/2 \tempo 4 = 48
           %%             \set Staff.midiInstrument = "acoustic grand"
           %%                                \unfoldRepeats       \pianoUPm }
           %%\new Staff { \clef bass \key g\major \time 3/2 \tempo 4 = 48
           %%             \set Staff.instrumentName = "acoustic grand"
           %%                                \unfoldRepeats     \pianoDownm }
         >>

   \midi { tempoWholesPerMinute = #(ly:make-moment 48 4) }
}
\markup { " " }
\markup { \column { \line {
About location \hspace #3 \musicglyph #"noteheads.uM2"(longa) \hspace #2 and \hspace #3 \musicglyph #"noteheads.sM1"(breve) }
\line { \italic " Please, Breath of longa and breve do in the members alternating(But, like Don't stand out). " }
 } }
%%%%%%%%%%%%%%%%%%%% All End %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
